<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace Modules\Goods\Models;

use App\Models\BaseModel;

class GoodsSku extends BaseModel {

	protected $table = 'goods_sku';
	protected $fillable = ['goods_id', 'sku_value', 'sku', 'price', 'integral', 'stock', 'sales', 'cover', 'created_at', 'updated_at'];
	// protected $hidden = ['deleted_at'];

	protected function casts(): array {
		return [
			'sku_value' => 'json',
			'created_at' => 'datetime:Y-m-d H:i:s',
			'updated_at' => 'datetime:Y-m-d H:i:s',
		];
	}
}
